com.sun.jna.platform.win32

## Class WinDef.WORDByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.WORDByReference

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  WinDef

    public static class WinDef.WORDByReference
    extends ByReference

The Class WORDByReference.

### Constructor Summary

Constructors
Constructor and Description
`WORDByReference()` Instantiates a new WORD by reference.
`WORDByReference(WinDef.WORD value)` Instantiates a new WORD by reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`WinDef.WORD` `getValue()` Gets the value.
`void` `setValue(WinDef.WORD value)` Sets the value.

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WORDByReference

    public WORDByReference()

Instantiates a new WORD by reference.

#### WORDByReference

    public WORDByReference(WinDef.WORD value)

Instantiates a new WORD by reference.

Parameters:
  `value` - the value

### Method Detail

#### setValue

    public void setValue(WinDef.WORD value)

Sets the value.

Parameters:
  `value` - the new value

#### getValue

    public WinDef.WORD getValue()

Gets the value.

Returns:
  the value

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.